/*
* ============================================================================
*  Name     : StackDll.cpp 
*  Part of  : Stack
*  Created  : 23.05.2005 by 
*  Description:
*    StackDll.cpp - main DLL source
*  Version  :
*  Copyright: 
* ============================================================================
*/

//  Include Files  

#include <e32std.h>         // GLDEF_C
#include "Stack.pan"       // panic codes


//  Global Functions

GLDEF_C void Panic(TStackPanic aPanic)
// Panics the thread with given panic code
    {
    User::Panic(_L("STACK"), aPanic);
    }


//  Exported Functions

#ifndef EKA2
EXPORT_C TInt E32Dll(TDllReason /*aReason*/)
// Called when the DLL is loaded and unloaded. Note: have to define
// epoccalldllentrypoints in MMP file to get this called in THUMB.
    {
    return KErrNone;
    }
#endif //EKA2

// End of file  
