/*
-----------------------------------------------------------------------------

    StackTest.h - test application header

-----------------------------------------------------------------------------
*/

#ifndef __STACKTEST_H__
#define __STACKTEST_H__

#include <SymbianUnit.h>
#include <Stack.h>

class CStackTest : public CTestCase
{
private:
	CStack* iStack;
public:
	SUNIT_TESTCASE_TABLE_DECLARE;
	void SetUpL();
	void TearDown();
	void TestEmpty();
	void TestPushAndPop();
};

#endif  // __STACKTEST_H__

// End of file
