#ifndef __CONSOLETESTRUNNER_H__
#define __CONSOLETESTRUNNER_H__

#include <SymbianUnit.h>
#include <e32base.h>
#include <e32cons.h>

class CConsoleTestRunner : public CBase, public MTestListener
	{
public:
	static CConsoleTestRunner* NewLC(CConsoleBase& aConsole);
	~CConsoleTestRunner();
	void ExecuteL();
	void RunTestsL(CTest& aTest);
	void StartTest(const CTest& aTest);
	void EndTest(const CTest& aTest);
	void StartSuite(const CTest& aTest);
	void EndSuite(const CTest& aTest);
protected:
	void LogEvent(const TUint aDepth, const TDesC& aLog);
private:
	CConsoleTestRunner(CConsoleBase& aConsole);
	void ConstructL();
private:
	CConsoleBase& iConsole;
	RLibrary iLibrary;
	CTest* iTest;
	TUint iSuiteDepth;
	};

#endif
