/*
* ============================================================================
*  Name     : Stack.h
*  Part of  : Stack
*  Created  : 23.05.2005 by 
*  Description:
*     Stack.h - CStack class header
*  Version  :
*  Copyright: 
* ============================================================================
*/


// This file defines the API for Stack.dll

#ifndef __STACK_H__
#define __STACK_H__


//  Include Files

#include <e32base.h>    // CBase
#include <e32std.h>     // TBuf


//  Class Definitions

class CStack : public CBase
{
public:     // new functions
	IMPORT_C static CStack* NewL();
	IMPORT_C static CStack* NewLC();
	IMPORT_C ~CStack();
	IMPORT_C TBool IsEmpty();
	IMPORT_C void PushL(TInt aElement);
	IMPORT_C TInt Pop();
private:    // new functions
	CStack();
	void ConstructL();
private:
	CArrayFixFlat<TInt>* iElements;
};


#endif  // __STACK_H__

// End of file
